Bug 1067528 - Headless Java transition tracking bug
Headless Java transition tracking bug
Status: NEW
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Radek Vokal
Fedora Extras Quality Assurance
Eduardo Mayorga
: FutureFeature, Tracking
Depends On: 1067935 1067936 1067937 1067938 1067939 1067940 1067941 1067942 1067943 1067944 1067945 1067946 1067947 1067948 1067949 1067950 1067951 1067952 1067953 1067954 1067955 1067956 1067957 1067958 1067959 1067960 1067961 1067962 1067963 1067964 1067965 1067967 1067968 1067969 1067970 1067971 1067972 1067973 1067974 1067975 1067976 1067977 1067978 1067979 1067980 1067981 1067982 1067983 1067984 1067986 1067987 1067988 1067989 1067990 1067991 1067992 1067993 1067994 1067995 1067996 1067997 1067998 1067999 1068000 1068001 1068002 1068003 1068004 1068005 1068006 1068007 1068008 1068009 1068010 1068011 1068012 1068013 1068014 1068015 1068016 1068017 1068018 1068019 1068020 1068021 1068022 1068023 1068024 1068025 1068026 1068027 1068028 1068029 1068030 1068031 1068032 1068033 1068034 1068035 1068036 1068037 1068038 1068039 1068040 1068041 1068042 1068043 1068044 1068045 1068046 1068047 1068048 1068049 1068050 1068051 1068052 1068053 1068054 1068055 1068056 1068057 1068058 1068059 1068060 1068061 1068062 1068063 1068064 1068065 1068066 1068067 1068068 1068069 1068070 1068071 1068072 1068073 1068074 1068076 1068077 1068078 1068079 1068080 1068081 1068082 1068083 1068084 1068085 1068086 1068087 1068088 1068089 1068090 1068091 1068092 1068093 1068094 1068095 1068096 1068097 1068098 1068099 1068100 1068101 1068102 1068103 1068105 1068106 1068107 1068108 1068109 1068110 1068111 1068112 1068113 1068114 1068115 1068116 1068117 1068118 1068119 1068120 1068121 1068122 1068123 1068124 1068125 1068126 1068127 1068128 1068129 1068130 1068131 1068132 1068133 1068134 1068135 1068136 1068137 1068138 1068139 1068140 1068141 1068142 1068143 1068144 1068145 1068146 1068147 1068149 1068150 1068151 1068152 1068153 1068155 1068156 1068157 1068158 1068159 1068160 1068161 1068162 1068164 1068165 1068166 1068167 1068168 1068169 1068170 1068171 1068172 1068173 1068174 1068175 1068176 1068177 1068178 1068179 1068180 1068181 1068182 1068183 1068184 1068185 1068186 1068187 1068188 1068189 1068190 1068191 1068192 1068193 1068194 1068195 1068196 1068197 1068198 1068199 1068200 1068201 1068202 1068203 1068204 1068205 1068206 1068207 1068208 1068209 1068210 1068211 1068212 1068213 1068214 1068216 1068217 1068218 1068219 1068220 1068221 1068222 1068223 1068224 1068225 1068226 1068227 1068228 1068229 1068230 1068231 1068232 1068233 1068234 1068236 1068237 1068238 1068239 1068240 1068241 1068242 1068243 1068244 1068245 1068246 1068247 1068248 1068249 1068250 1068251 1068252 1068253 1068254 1068255 1068256 1068257 1068258 1068259 1068260 1068261 1068262 1068263 1068264 1068265 1068266 1068268 1068269 1068270 1068271 1068272 1068273 1068274 1068275 1068276 1068277 1068278 1068279 1068280 1068281 1068282 1068283 1068284 1068285 1068286 1068287 1068289 1068290 1068291 1068292 1068293 1068294 1068295 1068296 1068297 1068298 1068299 1068300 1068301 1068302 1068303 1068306 1068307 1068308 1068309 1068310 1068311 1068312 1068313 1068315 1068316 1068317 1068318 1068319 1068321 1068322 1068324 1068326 1068327 1068328 1068329 1068330 1068331 1068332 1068333 1068335 1068336 1068339 1068340 1068341 1068343 1068344 1068346 1068349 1068351 1068353 1068354 1068356 1068358 1068359 1068361 1068362 1068364 1068365 1068367 1068368 1068369 1068370 1068372 1068374 1068375 1068377 1068378 1068380 1068381 1068383 1068386 1068387 1068388 1068389 1068392 1068393 1068395 1068397 1068398 1068400 1068401 1068402 1068404 1068405 1068407 1068408 1068411 1068412 1068414 1068416 1068417 1068419 1068420 1068422 1068423 1068424 1068426 1068427 1068428 1068429 1068431 1068432 1068434 1068435 1068436 1068437 1068439 1068441 1068442 1068443 1068445 1068446 1068449 1068450 1068451 1068452 1068453 1068454 1068455 1068456 1068457 1068458 1068459 1068460 1068461 1068462 1068463 1068464 1068465 1068466 1068467 1068468 1068469 1068470 1068471 1068472 1068473 1068474 1068475 1068476 1068477 1068479 1068480 1068481 1068482 1068483 1068484 1068485 1068486 1068487 1068488 1068490 1068491 1068492 1068493 1068494 1068495 1068496 1068497 1068498 1068499 1068501 1068502 1068503 1068504 1068505 1068506 1068507 1068508 1068509 1068510 1068511 1068512 1068513 1068514 1068516 1068517 1068518 1068519 1068520 1068521 1068522 1068523 1068524 1068525 1068526 1068527 1068528 1068529 1068530 1068531 1068532 1068533 1068534 1068535 1068536 1068537 1068538 1068539 1068540 1068541 1068543 1068544 1068545 1068546 1068547 1068548 1068549 1068550 1068551 1068552 1068553 1068554 1068555 1068556 1068557 1068558 1068559 1068560 1068561 1068562 1068563 1068564 1068565 1068566 1068567 1068568 1068569 1068570 1068571 1068572 1068573 1068574 1068575 1068576 1068577 1068578 1068580 1068581 1068582 1068583 1068584 1068585 1068586 1068587 1068588 1068589 1068590 1068591 1068592 1068593 1068594 1068595 1068596 1068597 1068598 1068599 1068600 1068601 1068602 1068603 1068604 1068605 1068606 1068607 1068608 1068609 1068610 1120045
Blocks:
  Show dependency treegraph
 
Reported: 2014-02-20 10:13 EST by Stanislav Ochotnicky
Modified: 2014-07-16 02:55 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2014-02-20 10:13:49 EST
This is a bug to track overall progress on Headless Java Change[1].

java-headless subpackage has been split off from OpenJDK package to enable
dependency chain simplification. Most java libraries and console utilities 
can easily start using java-headless dependency by replacing their 
"Requires: java" to "Requires: java-headless".

Few exceptions where packages can not use java-headless but must keep using
full java package.
 * software using Java awt subsystem
 * software using Java sound subsystem

Untouched bugs blocking this bug will be automatically migrated to java-headless 
after March 17th 2014. 

For more details see the Headless Java change proposal page[1] and Java Packaging Guidelines related to BuildRequires and Requires[2]. If you want to be kept up-to-date on the progress of the transition add yourself to cc of this bug.

If you have more questions about this change feel free to ask on java-devel mailing list[3] or #fedora-java Freenode IRC channel (mostly between 9:00-18:00 CET)

[1] https://fedoraproject.org/wiki/Changes/HeadlessJava
[2] https://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires
[3] http://lists.fedoraproject.org/pipermail/java-devel/
Comment 4 Pavel Raiskup 2014-04-23 10:14:56 EDT
(In reply to Stanislav Ochotnicky from comment #0)
[snip]
> can easily start using java-headless dependency by replacing their
> "Requires: java" to "Requires: java-headless".
[snip]
> Untouched bugs blocking this bug will be automatically migrated to
> java-headless
> after March 17th 2014.
>
> For more details see the Headless Java change proposal page[1]
[snip]

------

Either the migration script, or the automatic requires generator (mentioned in
link [1]) seems to be broken.

I clicked to several blocking bugzillas here in the tracker and it seems like
not only the change:

  http://pkgs.fedoraproject.org/cgit/postgresql-jdbc.git/commit/?id=660bbdd8

(in postgresql-jdbc) removed 'Requires: java' and did not add the
'java-headless'.  Looking at relevant build you may see that the Requires does
not contain the 'java-headless'.  Is that OK?

  https://koji.fedoraproject.org/koji/rpminfo?rpmID=4920610

Pavel
Comment 5 Stanislav Ochotnicky 2014-04-23 10:27:06 EDT
(In reply to Pavel Raiskup from comment #4)
> (In reply to Stanislav Ochotnicky from comment #0)
> [snip]
> > can easily start using java-headless dependency by replacing their
> > "Requires: java" to "Requires: java-headless".
> [snip]
> > Untouched bugs blocking this bug will be automatically migrated to
> > java-headless
> > after March 17th 2014.
> >
> > For more details see the Headless Java change proposal page[1]
> [snip]
> 
> ------
> 
> Either the migration script, or the automatic requires generator (mentioned
> in
> link [1]) seems to be broken.
> 
> I clicked to several blocking bugzillas here in the tracker and it seems like
> not only the change:
> 
>   http://pkgs.fedoraproject.org/cgit/postgresql-jdbc.git/commit/?id=660bbdd8
> 
> (in postgresql-jdbc) removed 'Requires: java' and did not add the
> 'java-headless'.  Looking at relevant build you may see that the Requires
> does
> not contain the 'java-headless'.  Is that OK?
> 
>   https://koji.fedoraproject.org/koji/rpminfo?rpmID=4920610

There are two types of packages from perspective of this transition: packages built with XMvn (%mvn_build/%mvn_install) and others. For the first group, automatic requires on java-headless are generated so no manual "Requires: java-headless" are needed.The transition is actually not 100% automatic, there are checks/changes being done manually and here the removal of manual requires was manual because packages was assumed to be in 1st group. Sorry for the trouble, feel free to add the "Requires: java-headless" back.
Comment 6 Mikolaj Izdebski 2014-04-23 10:33:41 EDT
I've already fixed postgresql-jdbc by re-adding explicit requires.

Note You need to log in before you can comment on or make changes to this bug.